@sapUiButtonHeight: @sapUiLineHeight;

.sapUiBtnS {
	font-family: @sapUiFontFamily;
	font-size: @sapUiFontSize;
	color: @sapUiBaseText;
	height: @sapUiButtonHeight;
	vertical-align: top;
	padding: 0 5px;
	margin: 0;
	cursor: pointer;
	cursor: hand;
	overflow: visible;
	white-space: nowrap;
}

.sapUiBtnS.sapUiBtnNorm.sapUiBtnStd {
	background-color: @sapUiButtonBackground;
}

.sapUiBtnS.sapUiBtnNorm {
	border: 1px solid @sapUiButtonBorderColor;
}

.sapUiBtnS.sapUiBtnLite {
	background-color: @sapUiButtonLiteBackground;
	border: none;
}

.sapUiBtnFixedWidth {
	overflow: hidden;
}

/* For Icons: */
.sapUiBtnS > .sapUiBtnIco {
	vertical-align:middle;
}

.sapUiBtnIcoL { /* padding between icon and text */
	padding-right: 5px;
}

.sapUiBtnIcoR { /* padding between icon and text */
	padding-left: 5px;
}

.sapUiBtnS > .sapUiBtnTxt { /* the additional span introduced when there is an icon next to the button label */
	vertical-align: middle;
	line-height: @sapUiLineHeight;
	display: inline-block;
	height: @sapUiButtonHeight;
	margin-top: -1px;
}

html[data-sap-ui-browser="sf5"] .sapUiBtnS > .sapUiBtnTxt {
	margin-top: -2px;
}

/* button focus state */
.sapUiBtnS.sapUiBtnStd:focus,
/* extra css class for the focus styling of the FileUploader */
.sapUiBtnS.sapUiBtnStd.sapUiBtnStdFocus {
	background-color: @sapUiButtonHoverBackground;
}

.sapUiBtnS.sapUiBtnNorm.sapUiBtnStd:focus,
/* extra css class for the focus styling of the FileUploader */
.sapUiBtnS.sapUiBtnNorm.sapUiBtnStd.sapUiBtnStdFocus {
	border-color: @sapUiButtonHoverBorderColor;
}

/* button disabled */
.sapUiBtnS.sapUiBtnDsbl,
.sapUiBtnS.sapUiBtnDsbl:focus {
	cursor: default;
	color: @sapUiContentDisabledTextColor;
}

.sapUiBtnS.sapUiBtnNorm.sapUiBtnDsbl,
.sapUiBtnS.sapUiBtnNorm.sapUiBtnDsbl:focus {
	border-color: @sapUiButtonDisabledBorderColor;
	background-color: @sapUiButtonDisabledBackground;
}

.sapUiBtnS.sapUiBtnDsbl > img.sapUiBtnIco {  /* make disabled icon look "reduced" */
	opacity: .3;
	filter: alpha(opacity=30);
}

/* button hover state */
.sapUiBtnS.sapUiBtnStd:hover,
/* extra css class for the hover styling of the FileUploader */
.sapUiBtnS.sapUiBtnStd.sapUiBtnStdHover {
	background-color: @sapUiButtonHoverBackground;
}

.sapUiBtnS.sapUiBtnNorm.sapUiBtnStd:hover,
/* extra css class for the hover styling of the FileUploader */
.sapUiBtnS.sapUiBtnNorm.sapUiBtnStd.sapUiBtnStdHover {
	border-color: @sapUiButtonHoverBorderColor;
}

/* button active state */
.sapUiBtnS.sapUiBtnAct:hover {
	background-color: @sapUiButtonActiveBackground;
}

.sapUiBtnS.sapUiBtnNorm.sapUiBtnAct:hover {
	border-color: @sapUiButtonActiveBorderColor;
}

/* emphasized button (no special style for lite button)*/
.sapUiBtnS.sapUiBtnEmph {
	font-weight: bold;
}

.sapUiBtnS.sapUiBtnNorm.sapUiBtnEmph {
	background-color: @sapUiButtonEmphasizedBackground;
	border-color: @sapUiButtonEmphasizedBorderColor;
	font-weight: bold;
}

.sapUiBtnS.sapUiBtnNorm.sapUiBtnEmph.sapUiBtnStd:focus,
.sapUiBtnS.sapUiBtnNorm.sapUiBtnEmph.sapUiBtnStd:hover {
	background-color: @sapUiButtonEmphasizedHoverBackground;
	border-color: @sapUiButtonEmphasizedHoverBorderColor;
}

.sapUiBtnS.sapUiBtnNorm.sapUiBtnEmph.sapUiBtnAct,
.sapUiBtnS.sapUiBtnNorm.sapUiBtnEmph.sapUiBtnAct:focus,
.sapUiBtnS.sapUiBtnNorm.sapUiBtnEmph.sapUiBtnAct:hover,
.sapUiBtnS.sapUiBtnNorm.sapUiBtnEmph.sapUiBtnStd:active {
	background-color: @sapUiButtonEmphasizedActiveBackground;
	border-color: @sapUiButtonEmphasizedActiveBorderColor;
}

.sapUiBtnS.sapUiBtnNorm.sapUiBtnEmph.sapUiBtnDsbl,
.sapUiBtnS.sapUiBtnNorm.sapUiBtnEmph.sapUiBtnDsbl:focus {
	border-color: @sapUiButtonEmphasizedDisabledBorderColor;
	background-color: @sapUiButtonEmphasizedDisabledBackground;
}

/* accept button*/
.sapUiBtnS.sapUiBtnAccept {
	font-weight: bold;
}

.sapUiBtnS.sapUiBtnStd.sapUiBtnAccept {
	color: @sapUiFieldSuccessColor;
}

.sapUiBtnS.sapUiBtnNorm.sapUiBtnAccept {
	background-color: @sapUiButtonAcceptBackground;
	border-color: @sapUiButtonAcceptBorderColor;
}

.sapUiBtnS.sapUiBtnAccept.sapUiBtnStd:focus,
.sapUiBtnS.sapUiBtnAccept.sapUiBtnStd:hover {
	/*font-weight: bold;*/
	background-color: @sapUiButtonAcceptHoverBackground;
}

.sapUiBtnS.sapUiBtnNorm.sapUiBtnAccept.sapUiBtnStd:focus,
.sapUiBtnS.sapUiBtnNorm.sapUiBtnAccept.sapUiBtnStd:hover {
	border-color: @sapUiButtonAcceptHoverBorderColor;
}

.sapUiBtnS.sapUiBtnNorm.sapUiBtnAccept.sapUiBtnAct,
.sapUiBtnS.sapUiBtnNorm.sapUiBtnAccept.sapUiBtnAct:focus,
.sapUiBtnS.sapUiBtnNorm.sapUiBtnAccept.sapUiBtnAct:hover,
.sapUiBtnS.sapUiBtnNorm.sapUiBtnAccept.sapUiBtnStd:active {
	background-color: @sapUiButtonAcceptActiveBackground;
	border-color: @sapUiButtonAcceptActiveBorderColor;
}

.sapUiBtnS.sapUiBtnNorm.sapUiBtnAccept.sapUiBtnDsbl,
.sapUiBtnS.sapUiBtnNorm.sapUiBtnAccept.sapUiBtnDsbl:focus {
	background-color: @sapUiButtonAcceptDisabledBackground;
	border-color: @sapUiButtonAcceptDisabledBorderColor;
}

/* reject button*/
.sapUiBtnS.sapUiBtnReject{
	font-weight: bold;
}

.sapUiBtnS.sapUiBtnStd.sapUiBtnReject{
	color: @sapUiFieldInvalidColor;
}

.sapUiBtnS.sapUiBtnNorm.sapUiBtnReject{
	background-color: @sapUiButtonRejectBackground;
	border-color: @sapUiButtonRejectBorderColor;
}

.sapUiBtnS.sapUiBtnReject.sapUiBtnStd:focus,
.sapUiBtnS.sapUiBtnReject.sapUiBtnStd:hover {
	/*font-weight: bold;*/
	background-color: @sapUiButtonRejectHoverBackground;
}

.sapUiBtnS.sapUiBtnNorm.sapUiBtnReject.sapUiBtnStd:focus,
.sapUiBtnS.sapUiBtnNorm.sapUiBtnReject.sapUiBtnStd:hover {
	border-color: @sapUiButtonRejectHoverBorderColor;
}

.sapUiBtnS.sapUiBtnNorm.sapUiBtnReject.sapUiBtnAct,
.sapUiBtnS.sapUiBtnNorm.sapUiBtnReject.sapUiBtnAct:focus,
.sapUiBtnS.sapUiBtnNorm.sapUiBtnReject.sapUiBtnAct:hover,
.sapUiBtnS.sapUiBtnNorm.sapUiBtnReject.sapUiBtnStd:active {
	background-color: @sapUiButtonRejectActiveBackground;
	border-color: @sapUiButtonRejectActiveBorderColor;
}

.sapUiBtnS.sapUiBtnNorm.sapUiBtnReject.sapUiBtnDsbl,
.sapUiBtnS.sapUiBtnNorm.sapUiBtnReject.sapUiBtnDsbl:focus {
	background-color: @sapUiButtonRejectDisabledBackground;
	border-color: @sapUiButtonRejectDisabledBorderColor;
}

/* Browser Fixes: */
.sapUiBtnS.sapUiBtn::-moz-focus-inner { /* override extra button padding in Firefox */
	border: none;
	margin: 0;
	padding: 0;
}

.sapUiBtn > span.sapUiBtnIco{
	font-weight: normal;
	line-height: @sapUiLineHeight;
	height: @sapUiButtonHeight;
	cursor: inherit;
}